Page MenuHomePhabricator

evas textblock: adds missing legacy types
ClosedPublic

Authored by id213sin on Jul 8 2018, 5:51 PM.

Details

Summary

Adds missing legacy types. The following types were generated in
"*.eo.legacy.h" by Eolian.

  • Evas_Textblock evas_textblock.eo.legacy.h:7:typedef Eo Evas_Textblock;
  • Evas_Textblock_Node_Format evas_textblock.eo.legacy.h:14:typedef struct _Evas_Textblock_Node_Format Evas_Textblock_Node_Format;

@fix

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
id213sin created this revision.Jul 8 2018, 5:51 PM
id213sin requested review of this revision.Jul 8 2018, 5:51 PM
herdsman requested changes to this revision.Jul 9 2018, 3:03 AM

May I ask to provide a version in which those types were available?
I would like to verify that they are indeed "missing" now.

Also, does this need a @fix tag?

Thank you.

This revision now requires changes to proceed.Jul 9 2018, 3:03 AM
id213sin edited the summary of this revision. (Show Details)Jul 11 2018, 8:51 PM

Thank you for review!
It was generated by Eolian of efl 1.16.0. (Tizen 4.0)
I attached a generated .eo.legacy.h file of the Textblock.

Please, check the above files.

And please check a similar legacy type support from the Efl.Ui.Button.

elm_button_legacy.h:1:typedef Eo Elm_Button;

As I know, Elm_Button, Evas_Textblock and etc was introduced by old Eolian only for legacy.
Actually, it was not legacy. But, these wrong legacy types were already documented in API documents.

herdsman accepted this revision.Jul 12 2018, 2:26 AM

Oh, right. That is unfortunate.

Do you think other Evas_xxx objects are missing such a fix?
Thanks!

This revision is now accepted and ready to land.Jul 12 2018, 2:26 AM
This revision was automatically updated to reflect the committed changes.